Products
Retrieve product
Retrieve product
curl --request GET \
--url https://{tenant}.api.velocity.medshift.com/v1/products/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant}.api.velocity.medshift.com/v1/products/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"name": "<string>",
"is_digital": true,
"thumbnail_url": "<string>",
"is_purchasable": true,
"order_quantity_min": 123,
"order_quantity_max": 123,
"inventory_level": 123,
"commission_programs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"options": [
{
"bigcommerce_id": 123,
"name": "<string>",
"values": [
{
"bigcommerce_id": 123,
"label": "<string>"
}
]
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"sku": "<string>",
"is_purchasable": true,
"base_price": "<string>",
"list_price": "<string>",
"cost_price": "<string>",
"inventory_level": 123,
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": null
}
],
"options": [
{
"bigcommerce_option_id": 123,
"bigcommerce_value_id": 123
}
]
}
],
"tax_code": "<string>",
"lot_serial_required": true
}Authorizations
Path Parameters
Response
200 - application/json
Required string length:
1 - 250null when there is no minimum order quantity.
null when there is no maximum order quantity.
null when inventory is not tracked at the product level.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255⌘I
Retrieve product
curl --request GET \
--url https://{tenant}.api.velocity.medshift.com/v1/products/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant}.api.velocity.medshift.com/v1/products/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"name": "<string>",
"is_digital": true,
"thumbnail_url": "<string>",
"is_purchasable": true,
"order_quantity_min": 123,
"order_quantity_max": 123,
"inventory_level": 123,
"commission_programs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"options": [
{
"bigcommerce_id": 123,
"name": "<string>",
"values": [
{
"bigcommerce_id": 123,
"label": "<string>"
}
]
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"sku": "<string>",
"is_purchasable": true,
"base_price": "<string>",
"list_price": "<string>",
"cost_price": "<string>",
"inventory_level": 123,
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": null
}
],
"options": [
{
"bigcommerce_option_id": 123,
"bigcommerce_value_id": 123
}
]
}
],
"tax_code": "<string>",
"lot_serial_required": true
}
